﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Windows.Data;

namespace XamNumericEditor_Ex
{
	 class FloatConverter : IValueConverter
	{
		public Object Convert(Object value, Type targetType, Object parameter, CultureInfo culture)
		{
			return value;
		}

		public Object ConvertBack(Object value, Type targetType, Object parameter, CultureInfo culture)
		{
			string strValue = value.ToString();
			string stringConvertIn = parameter.ToString().ToLower();

			switch (stringConvertIn)
			{
				case "double":
					double resultDouble = 0.0;
					if (double.TryParse(strValue, out resultDouble))
						return resultDouble;
					break;
				case "long":
					long resultLong = 0;
					if (long.TryParse(strValue, out resultLong))
						return resultLong;
					break;
				case "float":
					float resultFloat = 0;
					if (float.TryParse(strValue, out resultFloat))
						return resultFloat;
					break;
				
				default:
					return value;
			}
			return null;

		}
	}
}
